void setup() {
  Serial.begin(9600);
  analogReadResolution(12);  
  analogWriteResolution(12);  
  analogWrite(DAC0,0);
  analogWrite(DAC1,4095);
}

void loop() {
  if (Serial.available()) {
    int d=Serial.parseInt();
    int v=Serial.parseInt();
    Serial.print("d=" );
    Serial.print(d);
    Serial.print(", " );
    Serial.print("v=" );
    Serial.print(v);
    Serial.println("");
    if(d==0)
      analogWrite(DAC0,v);
    if(d==1)
      analogWrite(DAC1,v);
  }
  int a0=analogRead(A0);
  int a1=analogRead(A1);
  
  Serial.print("a0=" );
  Serial.print(a0);
  Serial.print("(" );
  Serial.print(3.3/4096*a0,4);
  Serial.print(")\t a1=");
  Serial.print(a1);
  Serial.print("(" );
  Serial.print(3.3/4096*a1,4);
  Serial.println(")");
  delay(2000);
}
